#include <iostream>

using namespace std;

int main()
{
    int K, N, i=0, mesto, broj;
    cin >> N >> K;
    int a[20001];
    for (i = 0; i < N; i++) {
        cin >> a[i];
    }
    /*Naci kartu koja se nalazi posle karte k*/
    for (i = 0; i < N; i++) {
        if (a[i] == K) {
            mesto = i;
        }
    }
    
    if (N-1==mesto){
        broj=K;
    }
    else if(mesto=0){
        broj=a[N];
    }
    else{
        broj=a[i+1];
    }
    cout << broj;
}